ubuntu-location-service: com::ubuntu::location::Criteria::Requires Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Attributes | List of all members
com::ubuntu::location::Criteria::Requires Struct Reference

`#include <criteria.h>`

Collaboration diagram for com::ubuntu::location::Criteria::Requires:

## Public Attributes
bool | position = true
| The client needs position measurements. More...
bool | altitude = false
| The client needs altitude measurements. More...
bool | velocity = false
| The client needs velocity measurments. More...
bool | heading = false
| The client needs heading measurements. More...

## Detailed Description

Definition at line 43 of file criteria.h.

## Member Data Documentation

## ◆ altitude

bool com::ubuntu::location::Criteria::Requires::altitude = false

The client needs altitude measurements.

Definition at line 46 of file criteria.h.

Referenced by core::dbus::Codec< com::ubuntu::location::Criteria >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Criteria >::encode_argument().

## ◆ heading

bool com::ubuntu::location::Criteria::Requires::heading = false

The client needs heading measurements.

Definition at line 48 of file criteria.h.

Referenced by core::dbus::Codec< com::ubuntu::location::Criteria >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Criteria >::encode_argument().

## ◆ position

bool com::ubuntu::location::Criteria::Requires::position = true

The client needs position measurements.

Definition at line 45 of file criteria.h.

Referenced by core::dbus::Codec< com::ubuntu::location::Criteria >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Criteria >::encode_argument().

## ◆ velocity

bool com::ubuntu::location::Criteria::Requires::velocity = false

The client needs velocity measurments.

Definition at line 47 of file criteria.h.

Referenced by core::dbus::Codec< com::ubuntu::location::Criteria >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Criteria >::encode_argument().

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/criteria.h